
From: Al Viro <viro@parcelfarce.linux.theplanet.co.uk>

mk_thread converted

Signed-off-by: Al Viro <viro@parcelfarce.linux.theplanet.co.uk>
Signed-off-by: Jeff Dike <jdike@addtoit.com>
Cc: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 dev/null                            |  103 ------------------------------------
 arch/um/Makefile-i386               |    2 
 arch/um/Makefile-x86_64             |    2 
 arch/um/sys-i386/util/Makefile      |    6 --
 arch/um/sys-i386/util/mk_thread.c   |   22 +++++++
 arch/um/sys-x86_64/util/Makefile    |    5 -
 arch/um/sys-x86_64/util/mk_thread.c |   20 ++++++
 7 files changed, 46 insertions(+), 114 deletions(-)

diff -puN arch/um/Makefile-i386~uml-cross-build-support-mk_thread arch/um/Makefile-i386
--- 25/arch/um/Makefile-i386~uml-cross-build-support-mk_thread	2005-05-02 19:01:27.000000000 -0700
+++ 25-akpm/arch/um/Makefile-i386	2005-05-02 19:01:27.000000000 -0700
@@ -35,7 +35,7 @@ $(SYS_DIR)/thread.h: $(SYS_UTIL_DIR)/mk_
 $(SYS_UTIL_DIR)/mk_sc: scripts_basic $(ARCH_DIR)/user-offsets.h FORCE
 	$(Q)$(MAKE) $(build)=$(SYS_UTIL_DIR) $@
 
-$(SYS_UTIL_DIR)/mk_thread: scripts_basic $(ARCH_SYMLINKS) $(GEN_HEADERS) FORCE
+$(SYS_UTIL_DIR)/mk_thread: scripts_basic $(ARCH_DIR)/kernel-offsets.h FORCE
 	$(Q)$(MAKE) $(build)=$(SYS_UTIL_DIR) $@
 
 $(SYS_UTIL_DIR): scripts_basic include/asm FORCE
diff -puN arch/um/Makefile-x86_64~uml-cross-build-support-mk_thread arch/um/Makefile-x86_64
--- 25/arch/um/Makefile-x86_64~uml-cross-build-support-mk_thread	2005-05-02 19:01:27.000000000 -0700
+++ 25-akpm/arch/um/Makefile-x86_64	2005-05-02 19:01:27.000000000 -0700
@@ -26,7 +26,7 @@ $(SYS_DIR)/thread.h: $(SYS_UTIL_DIR)/mk_
 $(SYS_UTIL_DIR)/mk_sc: scripts_basic $(ARCH_DIR)/user-offsets.h FORCE
 	$(Q)$(MAKE) $(build)=$(SYS_UTIL_DIR) $@
 
-$(SYS_UTIL_DIR)/mk_thread: scripts_basic $(ARCH_SYMLINKS) $(GEN_HEADERS) FORCE
+$(SYS_UTIL_DIR)/mk_thread: scripts_basic $(GEN_HEADERS) $(ARCH_DIR)/kernel-offsets.h FORCE
 	$(Q)$(MAKE) $(build)=$(SYS_UTIL_DIR) $@
 
 CLEAN_FILES += $(SYS_HEADERS)
diff -puN arch/um/sys-i386/util/Makefile~uml-cross-build-support-mk_thread arch/um/sys-i386/util/Makefile
--- 25/arch/um/sys-i386/util/Makefile~uml-cross-build-support-mk_thread	2005-05-02 19:01:27.000000000 -0700
+++ 25-akpm/arch/um/sys-i386/util/Makefile	2005-05-02 19:01:27.000000000 -0700
@@ -1,9 +1,5 @@
-
 hostprogs-y	:= mk_sc mk_thread
 always		:= $(hostprogs-y)
 
-mk_thread-objs	:= mk_thread_kern.o mk_thread_user.o
-
-HOSTCFLAGS_mk_thread_kern.o	:= $(CFLAGS) $(CPPFLAGS)
-HOSTCFLAGS_mk_thread_user.o	:= $(USER_CFLAGS)
 HOSTCFLAGS_mk_sc.o := -I$(objtree)/arch/um
+HOSTCFLAGS_mk_thread.o := -I$(objtree)/arch/um
diff -puN /dev/null arch/um/sys-i386/util/mk_thread.c
--- /dev/null	2003-09-15 06:40:47.000000000 -0700
+++ 25-akpm/arch/um/sys-i386/util/mk_thread.c	2005-05-02 19:01:27.000000000 -0700
@@ -0,0 +1,22 @@
+#include <stdio.h>
+#include <kernel-offsets.h>
+
+int main(int argc, char **argv)
+{
+  printf("/*\n");
+  printf(" * Generated by mk_thread\n");
+  printf(" */\n");
+  printf("\n");
+  printf("#ifndef __UM_THREAD_H\n");
+  printf("#define __UM_THREAD_H\n");
+  printf("\n");
+  printf("#define TASK_DEBUGREGS(task) ((unsigned long *) "
+	 "&(((char *) (task))[%d]))\n", TASK_DEBUGREGS);
+#ifdef TASK_EXTERN_PID
+  printf("#define TASK_EXTERN_PID(task) *((int *) &(((char *) (task))[%d]))\n",
+	 TASK_EXTERN_PID);
+#endif
+  printf("\n");
+  printf("#endif\n");
+  return(0);
+}
diff -L arch/um/sys-i386/util/mk_thread_kern.c -puN arch/um/sys-i386/util/mk_thread_kern.c~uml-cross-build-support-mk_thread /dev/null
--- 25/arch/um/sys-i386/util/mk_thread_kern.c
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,22 +0,0 @@
-#include "linux/config.h"
-#include "linux/stddef.h"
-#include "linux/sched.h"
-
-extern void print_head(void);
-extern void print_constant_ptr(char *name, int value);
-extern void print_constant(char *name, char *type, int value);
-extern void print_tail(void);
-
-#define THREAD_OFFSET(field) offsetof(struct task_struct, thread.field)
-
-int main(int argc, char **argv)
-{
-  print_head();
-  print_constant_ptr("TASK_DEBUGREGS", THREAD_OFFSET(arch.debugregs));
-#ifdef CONFIG_MODE_TT
-  print_constant("TASK_EXTERN_PID", "int", THREAD_OFFSET(mode.tt.extern_pid));
-#endif
-  print_tail();
-  return(0);
-}
-
diff -L arch/um/sys-i386/util/mk_thread_user.c -puN arch/um/sys-i386/util/mk_thread_user.c~uml-cross-build-support-mk_thread /dev/null
--- 25/arch/um/sys-i386/util/mk_thread_user.c
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,30 +0,0 @@
-#include <stdio.h>
-
-void print_head(void)
-{
-  printf("/*\n");
-  printf(" * Generated by mk_thread\n");
-  printf(" */\n");
-  printf("\n");
-  printf("#ifndef __UM_THREAD_H\n");
-  printf("#define __UM_THREAD_H\n");
-  printf("\n");
-}
-
-void print_constant_ptr(char *name, int value)
-{
-  printf("#define %s(task) ((unsigned long *) "
-	 "&(((char *) (task))[%d]))\n", name, value);
-}
-
-void print_constant(char *name, char *type, int value)
-{
-  printf("#define %s(task) *((%s *) &(((char *) (task))[%d]))\n", name, type, 
-	 value);
-}
-
-void print_tail(void)
-{
-  printf("\n");
-  printf("#endif\n");
-}
diff -puN arch/um/sys-x86_64/util/Makefile~uml-cross-build-support-mk_thread arch/um/sys-x86_64/util/Makefile
--- 25/arch/um/sys-x86_64/util/Makefile~uml-cross-build-support-mk_thread	2005-05-02 19:01:27.000000000 -0700
+++ 25-akpm/arch/um/sys-x86_64/util/Makefile	2005-05-02 19:01:27.000000000 -0700
@@ -4,8 +4,5 @@
 hostprogs-y	:= mk_sc mk_thread
 always		:= $(hostprogs-y)
 
-mk_thread-objs	:= mk_thread_kern.o mk_thread_user.o
-
-HOSTCFLAGS_mk_thread_kern.o	:= $(CFLAGS) $(CPPFLAGS)
-HOSTCFLAGS_mk_thread_user.o	:= $(USER_CFLAGS)
 HOSTCFLAGS_mk_sc.o := -I$(objtree)/arch/um
+HOSTCFLAGS_mk_thread.o := -I$(objtree)/arch/um
diff -puN /dev/null arch/um/sys-x86_64/util/mk_thread.c
--- /dev/null	2003-09-15 06:40:47.000000000 -0700
+++ 25-akpm/arch/um/sys-x86_64/util/mk_thread.c	2005-05-02 19:01:27.000000000 -0700
@@ -0,0 +1,20 @@
+#include <stdio.h>
+#include <kernel-offsets.h>
+
+int main(int argc, char **argv)
+{
+  printf("/*\n");
+  printf(" * Generated by mk_thread\n");
+  printf(" */\n");
+  printf("\n");
+  printf("#ifndef __UM_THREAD_H\n");
+  printf("#define __UM_THREAD_H\n");
+  printf("\n");
+#ifdef TASK_EXTERN_PID
+  printf("#define TASK_EXTERN_PID(task) *((int *) &(((char *) (task))[%d]))\n",
+	 TASK_EXTERN_PID);
+#endif
+  printf("\n");
+  printf("#endif\n");
+  return(0);
+}
diff -L arch/um/sys-x86_64/util/mk_thread_kern.c -puN arch/um/sys-x86_64/util/mk_thread_kern.c~uml-cross-build-support-mk_thread /dev/null
--- 25/arch/um/sys-x86_64/util/mk_thread_kern.c
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,21 +0,0 @@
-#include "linux/config.h"
-#include "linux/stddef.h"
-#include "linux/sched.h"
-
-extern void print_head(void);
-extern void print_constant_ptr(char *name, int value);
-extern void print_constant(char *name, char *type, int value);
-extern void print_tail(void);
-
-#define THREAD_OFFSET(field) offsetof(struct task_struct, thread.field)
-
-int main(int argc, char **argv)
-{
-  print_head();
-#ifdef CONFIG_MODE_TT
-  print_constant("TASK_EXTERN_PID", "int", THREAD_OFFSET(mode.tt.extern_pid));
-#endif
-  print_tail();
-  return(0);
-}
-
diff -L arch/um/sys-x86_64/util/mk_thread_user.c -puN arch/um/sys-x86_64/util/mk_thread_user.c~uml-cross-build-support-mk_thread /dev/null
--- 25/arch/um/sys-x86_64/util/mk_thread_user.c
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,30 +0,0 @@
-#include <stdio.h>
-
-void print_head(void)
-{
-  printf("/*\n");
-  printf(" * Generated by mk_thread\n");
-  printf(" */\n");
-  printf("\n");
-  printf("#ifndef __UM_THREAD_H\n");
-  printf("#define __UM_THREAD_H\n");
-  printf("\n");
-}
-
-void print_constant_ptr(char *name, int value)
-{
-  printf("#define %s(task) ((unsigned long *) "
-	 "&(((char *) (task))[%d]))\n", name, value);
-}
-
-void print_constant(char *name, char *type, int value)
-{
-  printf("#define %s(task) *((%s *) &(((char *) (task))[%d]))\n", name, type,
-	 value);
-}
-
-void print_tail(void)
-{
-  printf("\n");
-  printf("#endif\n");
-}
_
